<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/llMenu1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <Button
            android:id="@+id/getWifiStatus"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="查看wifi状态" />

        <Button
            android:id="@+id/scanWifi"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:text="搜索wifi热点" />

        <Button
            android:id="@+id/getSn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="查看设备id" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/llMenu2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/llMenu1">



        <Button
            android:id="@+id/disconnectWifi"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/scanWifi"
            android:text="断开连接WIFI" />

        <Button
            android:id="@+id/ota"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="OTA" />

    </androidx.appcompat.widget.LinearLayoutCompat>


    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/llMenu3"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/llMenu2">

        <Button
            android:id="@+id/defaultTryOut"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="试用" />


        <Button
            android:id="@+id/defaultMode"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="默认档位" />

        <EditText
            android:id="@+id/etSelectGears"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:hint="时长(s),档位,档位级别"
            android:textSize="14dp" />

    </androidx.appcompat.widget.LinearLayoutCompat>


    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/llMenu4"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/llMenu3">

        <Button
            android:id="@+id/getWifiName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="获取wifi名称" />


        <Button
            android:id="@+id/getSupportUnit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="获取支持档位" />

        <Button
            android:id="@+id/getTimeMode"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="获取时长和档位" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/llMenu5"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/llMenu4">

        <Button
            android:id="@+id/btnScore"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="得分" />

        <EditText
            android:id="@+id/etScore"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:hint="默认时长,刷牙时长,左时长,右时长"
            android:digits="0123456789,"
            android:textSize="14dp" />


    </androidx.appcompat.widget.LinearLayoutCompat>


    <ListView
        android:id="@+id/log_list"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="10dp"
        app:layout_constraintTop_toBottomOf="@id/llMenu5" />

</androidx.constraintlayout.widget.ConstraintLayout>